SimpleClass1 (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.pdx

## Class SimpleClass1

- java.lang.Object
- - org.apache.geode.pdx.SimpleClass1

- All Implemented Interfaces:
    PdxSerializable

      public class SimpleClass1
      extends java.lang.Object
      implements PdxSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleClass1()`
    `SimpleClass1(boolean myFlag, short myShort, java.lang.String str1, long myLong, java.lang.String str2, java.lang.String str3, int myInt, float myFloat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `fromData(PdxReader in)` Deserializes the PDX fields using the given reader.
    `float` | `getMyFloat()`
    `int` | `getMyInt()`
    `long` | `getMyLong()`
    `short` | `getMyShort()`
    `java.lang.String` | `getMyString1()`
    `java.lang.String` | `getMyString2()`
    `java.lang.String` | `getMyString3()`
    `int` | `hashCode()`
    `boolean` | `isMyFlag()`
    `void` | `toData(PdxWriter out)` Serializes the PDX fields using the given writer.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleClass1

          public SimpleClass1()

    - #### SimpleClass1

          public SimpleClass1(boolean myFlag,
                              short myShort,
                              java.lang.String str1,
                              long myLong,
                              java.lang.String str2,
                              java.lang.String str3,
                              int myInt,
                              float myFloat)

  - ### Method Detail

    - #### toData

          public void toData(PdxWriter out)

      Description copied from interface: `PdxSerializable`
      Serializes the PDX fields using the given writer.
      Specified by:
        `toData` in interface `PdxSerializable`
      Parameters:
        `out` - the `PdxWriter` to use to write the PDX fields.

    - #### fromData

          public void fromData(PdxReader in)

      Description copied from interface: `PdxSerializable`
      Deserializes the PDX fields using the given reader.
      Specified by:
        `fromData` in interface `PdxSerializable`
      Parameters:
        `in` - the `PdxReader` to use to read the PDX fields.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### isMyFlag

          public boolean isMyFlag()

    - #### getMyShort

          public short getMyShort()

    - #### getMyString1

          public java.lang.String getMyString1()

    - #### getMyLong

          public long getMyLong()

    - #### getMyString2

          public java.lang.String getMyString2()

    - #### getMyString3

          public java.lang.String getMyString3()

    - #### getMyInt

          public int getMyInt()

    - #### getMyFloat

          public float getMyFloat()